Create a developer
POST /api/developers
POST /api/developersInteractive request editor loads with JavaScript.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X POST "$API_BASE_URL/api/developers" \ -H "Content-Type: application/json" \ -d '{ "developer_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101" }'{
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"name": "dev one",
"last_active_at": "2025-01-01T00:00:00.000Z",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}Bad request.
{
"status": 400,
"message": "error message"
}Unauthorized.
{
"status": 401,
"message": "unauthorized"
}Internal server error.
Complete operation details and schema variants
POST /api/developers
Create a developer
Parameters
Request body
Content type: application/json
developer_id(string, required): The object ID.
Responses
201:id(string, required): Developer ID.name(string, required): Developer name.last_active_at(string, optional):created_at(string, required):updated_at(string, required):400: Bad request.status(integer, required): The HTTP status code of the error response.message(string, required): The error message.401: Unauthorized. Response fields (application/json): identical toPOST /api/developers, response 400 above.500: Internal server error.
cURL
curl -X POST '$API_BASE_URL/api/developers'